Holger's Java API

## com.antelmann.sql
Class SQLColumnInfo.UpdateFilter

    java.lang.Object
      com.antelmann.sql.SQLColumnInfo.UpdateFilter

All Implemented Interfaces:
  Filter<DBEntry>, Serializable

Enclosing interface:
  SQLColumnInfo

    public static class SQLColumnInfo.UpdateFilter

extends Object
implements Filter<DBEntry>, Serializable

See Also:
  Serialized Form

Field Summary
`String` `column`
`Object` `newValue`
`Object` `oldValue`
`boolean` `useQueryIfApplicable`

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Constructor Summary
`SQLColumnInfo.UpdateFilter(String column, Object oldValue, Object newValue, boolean useQueryIfApplicable)`

Method Summary
`boolean` `accept(DBEntry entry)` returns true only if the given entry is accepted by this filter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### column

    public final String column

### oldValue

    public final Object oldValue

### newValue

    public final Object newValue

### useQueryIfApplicable

    public final boolean useQueryIfApplicable

Constructor Detail

### SQLColumnInfo.UpdateFilter

    public SQLColumnInfo.UpdateFilter(String column,
                                      Object oldValue,
                                      Object newValue,
                                      boolean useQueryIfApplicable)

Method Detail

### accept

    public boolean accept(DBEntry entry)

  Description copied from interface: `Filter`
  returns true only if the given entry is accepted by this filter

  Specified by:
    `accept` in interface `Filter<DBEntry>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads